# Traffic History Job

## Requirements
* `node: ^14.8.0`
* `npm: ^6.14.8`

## Configuration
1. Run FROST Server making sure that it uses String Ids, see [`docker-compose.example.yaml`](docker-compose.example.yaml).
2. Export Here API Key `HERE_API_KEY` and FROST server url `FROST_URL` (with version postfix) as environment variables, e.g.
    ```shell
    export HERE_API_KEY=yYTMvf0L2oXCvETw6FLzNnr-GjfEd_TO6Fv_YG-v7ps
    export FROST_URL=http://localhost:8080/FROST-Server/v1.1
    ```
3. Install dependencies:
   ```shell
    npm install
    ```
3. For development, run `npm start` to start a `ts-node` server.
4. For production:
   ```shell
   npm run build
   node build/index.js
    ``` 
