"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.debug = exports.error = exports.info = void 0;
const log = (text, logType) => {
    const time = new Date().toISOString();
    console.log(`${time} ${logType} ${text}`);
};
const info = (text) => log(text, "INFO");
exports.info = info;
const error = (text, err) => {
    log(text, "ERROR");
    if (err)
        console.error(err);
};
exports.error = error;
const debug = (text) => log(text, "DEBUG");
exports.debug = debug;
//# sourceMappingURL=logger.js.map