export type FrostProjection = string[];

export type FrostBaseEntity = {
    "@iot.id"?: string;
    [key: string]: any;
}

export type FrostThing = FrostBaseEntity & {
    name?: string;
    description?: string;
    properties?: any;
}
export type GeoLocation = any;

export type FrostLocation = FrostBaseEntity & {
    name?: string;
    description?: string;
    encodingType?: string;
    location?: GeoLocation;
    properties?: any;
}

export type FrostFeatureOfInterest = FrostBaseEntity & {
    name?: string;
    description?: string;
    encodingType?: string;
    feature?: GeoLocation;
    properties?: any;
}

export type FrostDatastreamInput = FrostBaseEntity & {
    name: string;
    description: string;
    observationType: string;
    unitOfMeasurement: {
        name: string;
        symbol: string;
        definition: string;
    };
    ObservedProperty: FrostBaseEntity;
    Sensor: FrostBaseEntity;
    Thing: FrostBaseEntity;
}

export type FrostObservationInput = FrostBaseEntity & {
    phenomenonTime: string;
    result: number;
    resultQuality: number;
    resultTime: string;
    FeatureOfInterest: FrostBaseEntity;
    parameters?: any;
    Datastream: FrostBaseEntity;
}
