const log = (text: string, logType: "INFO" | "ERROR" | "DEBUG") => {
    const time = new Date().toISOString();
    console.log(`${time} ${logType} ${text}`);
};
export const info = (text: string) => log(text, "INFO");
export const error = (text: string, err?: Error) => {
    log(text, "ERROR");
    if (err)
        console.error(err);
};
export const debug = (text: string) => log(text, "DEBUG");
